### Method

# Shell Screenshot screenshot_area_finish

#### Declaration [src]

    gboolean
    shell_screenshot_screenshot_area_finish (
      ShellScreenshot* screenshot,
      GAsyncResult* result,
      MtkRectangle** area,
      GError** error
    )

#### Description [src]

Finish the asynchronous operation started by `shell_screenshot_screenshot_area()` and obtain its result.

#### Parameters

`result`

  Type: `GAsyncResult`

  The `GAsyncResult` that was provided to the callback.

  The data is owned by the caller of the method.

`area`

  Type: `MtkRectangle`

  The area that was grabbed in screen coordinates.

  The argument will be set by the function.
  The data is owned by the instance.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the operation was successful.